Upgrading KDC from 1.15 to 1.18

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

Upgrading KDC from 1.15 to 1.18

Yegui Cai
Hi,

Hope everyone is doing well in this especially tough time.

I am trying to upgrade KDC form 1.15 to 1.18. The instruction I follow is
https://web.mit.edu/kerberos/krb5-1.5/krb5-1.5.4/doc/krb5-install/Upgrading-Existing-Kerberos-V5-Installations.html

I was trying to find more recent instruction. Unfortunately, not much luck
so far. The procedure failed when I am trying to restore the data. In
particular, it failed at "kdb5_util load -update old-kdb-dump.ov" and the
error message is "kdb5_util: dump header bad in old-kdb-dump.ov". Can
someone please point me in the right direction?

Thanks in advance and best regards!
Yegui Cai
________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos
Reply | Threaded
Open this post in threaded view
|

Re: Upgrading KDC from 1.15 to 1.18

Greg Hudson
On 3/20/20 5:36 PM, Yegui Cai wrote:
> https://web.mit.edu/kerberos/krb5-1.5/krb5-1.5.4/doc/krb5-install/Upgrading-Existing-Kerberos-V5-Installations.html

If you are upgrading the software on the current host, simply stop the
old KDC and kadmind processes and start the new ones.

If you are migrating between hosts as part of the upgrade, you can just
copy the database directory after stopping the old KDC and kadmind
processes.

If you do choose to dump and load, omit the "dump -ov" and "load
-update" steps.  They haven't been necessary since release 1.3.  Release
1.18 removed support for the ovsec dump format, which is why you get the
"dump header bad" error trying to load it.
________________________________________________
Kerberos mailing list           [hidden email]
https://mailman.mit.edu/mailman/listinfo/kerberos